cURL
curl --request GET \
--url https://sandbox.zapyd.com/cms/api/v1/customer/wallet/list \
--header 'X-API-KEY: <api-key>' \
--header 'X-SIGNATURE: <api-key>' \
--header 'X-TIMESTAMP: <api-key>'import requests
url = "https://sandbox.zapyd.com/cms/api/v1/customer/wallet/list"
headers = {
"X-API-KEY": "<api-key>",
"X-TIMESTAMP": "<api-key>",
"X-SIGNATURE": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-API-KEY': '<api-key>',
'X-TIMESTAMP': '<api-key>',
'X-SIGNATURE': '<api-key>'
}
};
fetch('https://sandbox.zapyd.com/cms/api/v1/customer/wallet/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Wallets listed successfully",
"data": {
"wallets": [
{
"id": 42,
"wallet_address": "0x1234567890123456789012345678901234567890",
"network": "Ethereum",
"label": "Main wallet",
"status": "ACTIVE",
"is_visible": true,
"created_at": "2026-09-30T10:00:00Z"
}
],
"pagination": {
"current_page": 1,
"total_pages": 1,
"total_count": 1,
"page_size": 10,
"has_next": false,
"has_previous": false
}
}
}{
"status": false,
"message": "Bad Request",
"data": null,
"errors": {
"date_range": [
"Start date must be before end date."
]
},
"err_code": "UNKNOWN_ERROR"
}{
"status": false,
"message": "Internal Server Error",
"data": null,
"errors": {},
"err_code": "SYS_INTERNAL_ERROR"
}Wallets
List Wallets
Lists active, labelled wallets (the address book) with filters and pagination.
GET
/
customer
/
wallet
/
list
cURL
List Wallets
Authorizations
API Key for authentication
Current timestamp in seconds since epoch
HMAC SHA256 signature of the request encoded in Base64
Query Parameters
Filter by customer
Filter by network (case-insensitive)
Filter by status
Available options:
ACTIVE, INACTIVE Created on or after (ISO 8601)
Created on or before (ISO 8601)
Page number
Required range:
x >= 1Results per page
Required range:
1 <= x <= 100⌘I